> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contact list

> This endpoint is used to update a list in a given HubSpot account. Use case for this endpoint: If an external interface is used to build contact list filters, changes made there could be reflected in HubSpot via the update endpoint.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json POST /contacts/v1/lists/{list_id}
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/{list_id}:
    post:
      summary: Update a contact list
      description: >-
        This endpoint is used to update a list in a given HubSpot account. Use
        case for this endpoint: If an external interface is used to build
        contact list filters, changes made there could be reflected in HubSpot
        via the update endpoint.
      operationId: postcontactsv1listslistid
      parameters:
        - name: list_id
          in: path
          required: true
          description: Unique identifier for the list that you're updating.
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Include to update the name of the list.
                filters:
                  type: array
                  description: >-
                    Use filters to customize your list results. Adding new
                    filter data will replace any existing filters.
                  items:
                    type: array
                    items:
                      type: object
      responses:
        '200':
          description: Successfully updated contact list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactList'
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````